DRM_MODE_OBJECT_FIND(9)

NAME
drm_mode_object_find - look up a drm object with static lifetime

SYNOPSIS

struct drm_mode_object * drm_mode_object_find(struct drm_device * dev, uint32_t id, uint32_t type);

ARGUMENTS

dev
    drm device

id
    id of the mode object

type
    type of the mode object

DESCRIPTION

Note that framebuffers cannot be looked up with this functions - since those are reference counted, they need special treatment. Even with DRM_MODE_OBJECT_ANY (although that will simply return NULL rather than WARN_ON).

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT